Get Size
curl --request GET \
--url https://api-v2.production.higg.org/pic-api/v1/taxonomy-size/{productCategory} \
--header 'x-api-key: <api-key>' \
--header 'x-developer-request-token: <api-key>'import requests
url = "https://api-v2.production.higg.org/pic-api/v1/taxonomy-size/{productCategory}"
headers = {
"x-api-key": "<api-key>",
"x-developer-request-token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-developer-request-token': '<api-key>'}
};
fetch('https://api-v2.production.higg.org/pic-api/v1/taxonomy-size/{productCategory}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"<string>"
]Product Attributes
Get Size
GET
/
taxonomy-size
/
{productCategory}
Get Size
Use this endpoint to retrieve the list of valid sizes for a given product category. The
productCategory path parameter should be a categoryExpansionId value obtained from the Get Categories endpoint.
Implementation Details
- Category-dependent: Available sizes vary by product category. For example, “Apparel” categories may return sizes like
"Adult","Child","Infant". - Response format: Returns an array of size strings (e.g.,
["Adult", "Child"]).
⌘I

